Firebird kurulum hatasi

(ahmet çaydere) #1

Pardus 19.0 Firebirdsql 3.0 synaptic üzerinden kurmaya çalıştığımda
ekteki hatayı alıyorum. Ne yapabilirim.

kolay gelsin

debconf: ilklendirilemeyen önyüz: Gnome
debconf: (Can’t locate Gtk3.pm in @INC (you may need to install the Gtk3 module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.28.1 /usr/local/share/perl/5.28.1 /usr/lib/x86_64-linux-gnu/perl5/5.28 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.28 /usr/share/perl/5.28 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base) at /usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 151, <> line 9.)
debconf: varsayılan önyüz: Dialog
debconf: ilklendirilemeyen önyüz: Dialog
debconf: (TERM ayarlanmadığından ‘dialog’ önyüzü kullanılamaz.)
debconf: varsayılan önyüz: Readline
Paketler önyapılandırılıyor …
Password for firebird 3.0

Firebird has a special user named SYSDBA, which is the user that has access to
all databases. SYSDBA can also create new databases and users. Because of this,
it is necessary to secure SYSDBA with a password.

The password is stored in /etc/firebird/3.0/SYSDBA.password (readable only by
root). You may modify it there (don’t forget to update the security database
too, using the gsec utility), or you may use dpkg-reconfigure to update both.

If you don’t enter a password, a random one will be used (and stored in
SYSDBA.password).

Password for SYSDBA:

Daha önce seçili olmayan firebird3.0-doc paketi seçiliyor.
(Veritabanı okunuyor … 292917 dosya veya dizin kurulu durumda.)
Paket açılacak: …/0-firebird3.0-doc_3.0.5.33100.ds4-2_all.deb …
Paket açılıyor: firebird3.0-doc (3.0.5.33100.ds4-2) …
Daha önce seçili olmayan firebird3.0-examples paketi seçiliyor.
Paket açılacak: …/1-firebird3.0-examples_3.0.5.33100.ds4-2_all.deb …
Paket açılıyor: firebird3.0-examples (3.0.5.33100.ds4-2) …
Daha önce seçili olmayan firebird3.0-server paketi seçiliyor.
Paket açılacak: …/2-firebird3.0-server_3.0.5.33100.ds4-2_amd64.deb …
Paket açılıyor: firebird3.0-server (3.0.5.33100.ds4-2) …
Daha önce seçili olmayan qtcore4-l10n paketi seçiliyor.
Paket açılacak: …/3-qtcore4-l10n_4%3a4.8.7+dfsg-18_all.deb …
Paket açılıyor: qtcore4-l10n (4:4.8.7+dfsg-18) …
Daha önce seçili olmayan libqtcore4:amd64 paketi seçiliyor.
Paket açılacak: …/4-libqtcore4_4%3a4.8.7+dfsg-18_amd64.deb …
Paket açılıyor: libqtcore4:amd64 (4:4.8.7+dfsg-18) …
Daha önce seçili olmayan libqt4-sql:amd64 paketi seçiliyor.
Paket açılacak: …/5-libqt4-sql_4%3a4.8.7+dfsg-18_amd64.deb …
Paket açılıyor: libqt4-sql:amd64 (4:4.8.7+dfsg-18) …
Daha önce seçili olmayan libqt4-sql-ibase:amd64 paketi seçiliyor.
Paket açılacak: …/6-libqt4-sql-ibase_4%3a4.8.7+dfsg-18_amd64.deb …
Paket açılıyor: libqt4-sql-ibase:amd64 (4:4.8.7+dfsg-18) …
Daha önce seçili olmayan libqt5sql5:amd64 paketi seçiliyor.
Paket açılacak: …/7-libqt5sql5_5.11.3+dfsg1-1_amd64.deb …
Paket açılıyor: libqt5sql5:amd64 (5.11.3+dfsg1-1) …
Daha önce seçili olmayan libqt5sql5-ibase:amd64 paketi seçiliyor.
Paket açılacak: …/8-libqt5sql5-ibase_5.11.3+dfsg1-1_amd64.deb …
Paket açılıyor: libqt5sql5-ibase:amd64 (5.11.3+dfsg1-1) …
Ayarlanıyor: firebird3.0-examples (3.0.5.33100.ds4-2) …
Ayarlanıyor: libqt5sql5:amd64 (5.11.3+dfsg1-1) …
Ayarlanıyor: firebird3.0-doc (3.0.5.33100.ds4-2) …
Ayarlanıyor: firebird3.0-server (3.0.5.33100.ds4-2) …
debconf: ilklendirilemeyen önyüz: Gnome
debconf: (Can’t locate Gtk3.pm in @INC (you may need to install the Gtk3 module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.28.1 /usr/local/share/perl/5.28.1 /usr/lib/x86_64-linux-gnu/perl5/5.28 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.28 /usr/share/perl/5.28 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base) at /usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 151.)
debconf: varsayılan önyüz: Dialog
debconf: ilklendirilemeyen önyüz: Dialog
debconf: (TERM ayarlanmadığından ‘dialog’ önyüzü kullanılamaz.)
debconf: varsayılan önyüz: Readline
adduser: Warning: The home directory `/var/lib/firebird’ does not belong to the user you are currently creating.
Statement failed, SQLSTATE = XX000
/usr/lib/x86_64-linux-gnu/firebird/3.0/databases.conf: illegal line <security.db = $(dir_secDb)/security3.fdb>
dpkg: firebird3.0-server paketi işlenirken sorun yaşandı (–configure):
firebird3.0-server paketi post-installation betiği kuruldu alt süreci 1 hatalı çıkış kodu ile sona erdi
Ayarlanıyor: libqt5sql5-ibase:amd64 (5.11.3+dfsg1-1) …
Ayarlanıyor: qtcore4-l10n (4:4.8.7+dfsg-18) …
Ayarlanıyor: libqtcore4:amd64 (4:4.8.7+dfsg-18) …
Ayarlanıyor: libqt4-sql:amd64 (4:4.8.7+dfsg-18) …
Ayarlanıyor: libqt4-sql-ibase:amd64 (4:4.8.7+dfsg-18) …
Tetikleyiciler işleniyor: systemd (241-5) …
Tetikleyiciler işleniyor: man-db (2.8.5-2) …
Tetikleyiciler işleniyor: libc-bin (2.28-10) …
İşleme sırasında hatalarla karşılaşıldı:
firebird3.0-server
E: Sub-process /usr/bin/dpkg returned an error code (1)
Bir paket kurulamadı. Geri alınmaya çalışılıyor:
Ayarlanıyor: firebird3.0-server (3.0.5.33100.ds4-2) …
debconf: ilklendirilemeyen önyüz: Gnome
debconf: (Can’t locate Gtk3.pm in @INC (you may need to install the Gtk3 module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.28.1 /usr/local/share/perl/5.28.1 /usr/lib/x86_64-linux-gnu/perl5/5.28 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.28 /usr/share/perl/5.28 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base) at /usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 151.)
debconf: varsayılan önyüz: Dialog
debconf: ilklendirilemeyen önyüz: Dialog
debconf: (TERM ayarlanmadığından ‘dialog’ önyüzü kullanılamaz.)
debconf: varsayılan önyüz: Readline
Statement failed, SQLSTATE = XX000
/usr/lib/x86_64-linux-gnu/firebird/3.0/databases.conf: illegal line <security.db = $(dir_secDb)/security3.fdb>
dpkg: firebird3.0-server paketi işlenirken sorun yaşandı (–configure):
firebird3.0-server paketi post-installation betiği kuruldu alt süreci 1 hatalı çıkış kodu ile sona erdi
İşleme sırasında hatalarla karşılaşıldı:
firebird3.0-server

0 Likes

(Murat TİMUR) #2

Ahmet bey biraz daha sorunu açıklayıcı şekilde belirtseydiniz keşke bu şekilde ne ‘‘Shell’’ adımlarını takip edebiliriz, nede konunun içeriğini tam olarak anlarız, Size tavsiyem ‘‘Shell’’ hata dökümanını düzenli aktarın veya ekran görüntüsü olarak aktarın bu şekilde okumaya çalışmak çözümden daha çok vakit kaybı olucaktır.

0 Likes

(ahmet çaydere) #3

bu şekilde bir ekran görüntüsü verdi
bu hatadan önce firebird 3.0 server paketinin hatalı olduğu ayrıntılar satırında görüldükten sonra
bu ekran çıkıyor.

0 Likes